

/****************************************
*   Automatic test program generation   *
*       Thu Jul 14 11:35:36 1988        *
****************************************/

#include "gen2.h"

void main (argc, argv)
int argc;
char **argv;
{
   signal (SIGINT, myQuit);

   Shell1 = XtInitialize (argv[0], "gen2.defs", NULL, 0, &argc, argv);
   XwRegisterConverters();
   display = XtDisplay(Shell1);
/*   XSynchronize(display, 1);   */
   getOptions(argc, argv, &delay, &trace);

   n = 0;
   XtSetArg(args[n], XtNwidth, 400);  n++;
   XtSetArg(args[n], XtNheight, 300);  n++;
   XtSetArg(args[n], XtNallowShellResize, True);  n++;
   XtSetValues(Shell1, args, n);
   XtRealizeWidget(Shell1);
   wait = True;
   while (wait) {
      XGetWindowAttributes(XtDisplay(Shell1), XtWindow(Shell1), &info);
      if (info.map_state == IsViewable) wait = False;
      else sleep(1);
   }
   if (trace) {
      printf("\nXtInitialize:  Shell1 TopLevelShell\n\n");
      printf("XtSetArg:  XtNwidth 400\n");
      printf("XtSetArg:  XtNheight 300\n");
      printf("XtSetArg:  XtNallowShellResize\n");
      printf("XtSetValues:  Shell1\n");
      printf("XtRealizeWidget:  Shell1\n\n");
   }
   flushEvents(delay);

   n = 0;
   ArgSet(XwNcolumns, XtRInt, "4");
   RowCol1 = XtCreateManagedWidget("RowCol1", XwrowColWidgetClass,
      Shell1, args, n);
   if (trace) printf("XtCreateManagedWidget:  RowCol1 RowCol Shell1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalOn, XtRBoolean, "True");
   ArgSet(XwNcolumns, XtRInt, "4");
   XtSetValues(RowCol1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "RowCol1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   Arrow1 = XtCreateManagedWidget("Arrow1", XwarrowWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Arrow1 Arrow RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   XtSetValues(Arrow1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Arrow1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   PushButton1 = XtCreateManagedWidget("PushButton1", XwpushButtonWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  PushButton1 PushButton RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   ArgSet(XtNborderWidth, XtRDimension, "1");
   XtSetValues(PushButton1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "PushButton1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNsliderMin, XtRInt, "0");
   ScrollBar1 = XtCreateManagedWidget("ScrollBar1", XwscrollbarWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  ScrollBar1 ScrollBar RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNsliderMin, XtRInt, "0");
   XtSetValues(ScrollBar1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "ScrollBar1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNsliderMin, XtRInt, "0");
   if (trace) printf("XtSetArg:  %s %s\n", "sliderMin", "0");
   XtSetValues(ScrollBar1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "ScrollBar1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   ArgSet(XtNstring, XtRString, "static");
   StaticText1 = XtCreateManagedWidget("StaticText1", XwstatictextWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  StaticText1 StaticText RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   ArgSet(XtNstring, XtRString, "static");
   XtSetValues(StaticText1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "StaticText1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNhighlightThickness, XtRDimension, "5");
   ArgSet(XtNheight, XtRDimension, "30");
   TextEdit1 = XtCreateManagedWidget("TextEdit1", XwtexteditWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  TextEdit1 TextEdit RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "5");
   ArgSet(XtNheight, XtRDimension, "30");
   XtSetValues(TextEdit1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "TextEdit1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   ArgSet(XtNheight, XtRDimension, "30");
   XtSetValues(TextEdit1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "TextEdit1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   Toggle1 = XtCreateManagedWidget("Toggle1", XwtoggleWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Toggle1 Toggle RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   XtSetValues(Toggle1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   XtSetValues(Toggle1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   XtSetValues(Toggle1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Toggle1");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "10");
   Valuator1 = XtCreateManagedWidget("Valuator1", XwvaluatorWidgetClass,
      RowCol1, args, n);
   if (trace) printf("XtCreateManagedWidget:  Valuator1 Valuator RowCol1\n\n");
   flushEvents(delay);

   n = 0;
   ArgSet(XwNtraversalType, XwRTraversalType, "highlight_traversal");
   ArgSet(XwNhighlightThickness, XtRDimension, "15");
   XtSetValues(Valuator1, args, n);
   if (trace) printf("XtSetValues:  %s\n\n", "Valuator1");
   flushEvents(delay);

   if (trace) printf("XtMainLoop:\n\n");
   XtMainLoop();
}
